<?php
namespace Mageprince\Faq\Model\Resolver\Faq;

/**
 * Interceptor class for @see \Mageprince\Faq\Model\Resolver\Faq
 */
class Interceptor extends \Mageprince\Faq\Model\Resolver\Faq implements \Magento\Framework\Interception\InterceptorInterface
{
    use \Magento\Framework\Interception\Interceptor;

    public function __construct(\Mageprince\Faq\Model\ResourceModel\Faq\CollectionFactory $faqCollectionFactory)
    {
        $this->___init();
        parent::__construct($faqCollectionFactory);
    }

    /**
     * {@inheritdoc}
     */
    public function resolve(\Magento\Framework\GraphQl\Config\Element\Field $field, $context, \Magento\Framework\GraphQl\Schema\Type\ResolveInfo $info, ?array $value = null, ?array $args = null)
    {
        $pluginInfo = $this->pluginList->getNext($this->subjectType, 'resolve');
        return $pluginInfo ? $this->___callPlugins('resolve', func_get_args(), $pluginInfo) : parent::resolve($field, $context, $info, $value, $args);
    }
}
